Uploaded image for project: 'UIMA'
  1. UIMA
  2. UIMA-5754

UimaBootstrap impl depends on URLClassLoader, not available in Java 9+

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.10.2SDK, 3.0.0SDK
    • Fix Version/s: 3.0.1SDK, 2.10.3SDK
    • Component/s: Core Java Framework
    • Labels:
      None

      Description

      User tried running UIMA scripts that invoke the UimaBootstrap and found it throws excepction using Java 9, because the implementation presumes the ApplicationClassLoader is an instance of URLClassLoader.  Change the impl to no longer require this.

        Attachments

          Activity

            People

            • Assignee:
              schor Marshall Schor
              Reporter:
              schor Marshall Schor
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: